Get PostgreSQL configuration details
curl --request GET \
--url https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/postgres-config \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/postgres-config"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.xata.tech/organizations/{organizationID}/projects/{projectID}/branches/{branchID}/postgres-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"parameters": [
{
"name": "<string>",
"description": "<string>",
"section": "<string>",
"defaultValue": "<string>",
"currentValue": "<string>",
"documentationLink": "<string>",
"recommendation": "<string>",
"acceptableRange": {
"minValue": "<string>",
"maxValue": "<string>",
"enumValues": [
"<string>"
]
},
"restartRequired": true
}
]
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}{
"message": "<string>",
"id": "<string>"
}Branches
Get PostgreSQL configuration details
Retrieves detailed information about the current PostgreSQL configuration parameters for a branch, including parameter types, descriptions, acceptable ranges, default values, and current values.
GET
/
organizations
/
{organizationID}
/
projects
/
{projectID}
/
branches
/
{branchID}
/
postgres-config
Get PostgreSQL configuration details
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Unique identifier of the organization containing the project
Pattern:
[a-zA-Z0-9_-~:]+Unique identifier of the project containing the branch
Unique identifier of the branch to retrieve PostgreSQL configuration for
Response
PostgreSQL configuration details retrieved successfully
Detailed information about PostgreSQL configuration parameters for a branch
Array of PostgreSQL configuration parameters with detailed information
Show child attributes
Show child attributes
Was this page helpful?
⌘I